Logo
OpenScaler

Get current user quota

GET
/v1/my/quota

Returns resource quota limits and usage for the authenticated user.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/my/quota"
{  "total": {    "units": 1,    "cpu": 1,    "memory": 1,    "disk": 25,    "block_storage": 50,    "bandwidth": null,    "network_io": null,    "disk_io": null,    "vpcs": 1  },  "remaining": {    "units": 0.5,    "cpu": 0,    "memory": 0,    "disk": 10,    "block_storage": 40,    "bandwidth": null,    "network_io": null,    "disk_io": null,    "vpcs": 0  }}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}